/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.api.atuscriptrecord.service;

import com.alibaba.fastjson.JSONObject;
import net.northking.cctp.common.http.ResultWrapper;
import net.northking.cctp.scriptcase.dto.atuscriptrecord.ScriptInputTableDto;
import net.northking.cctp.scriptcase.dto.casedesign.TableHeader;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 数据源配置Restful逻辑接口
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface AtuInputApiService 
{

  void downloadTemplate(HttpServletResponse response, HttpServletRequest request, String templateParam);

  ResultWrapper importExcel(MultipartFile file, List<TableHeader> tableHeaders, Integer type, String scriptId, String path);

  JSONObject find(String path);

  JSONObject findByScriptId(String scriptId);

  JSONObject findBySceneId(String sceneId);

  String saveSceneScriptData(ScriptInputTableDto dto);
}
